Cancel Product Delivery
curl --request DELETE \
--url https://api.royalti.io/product/{id}/deliveries/{deliveryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Product metadata needs updating"
}
'import requests
url = "https://api.royalti.io/product/{id}/deliveries/{deliveryId}"
payload = { "reason": "Product metadata needs updating" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Product metadata needs updating'})
};
fetch('https://api.royalti.io/product/{id}/deliveries/{deliveryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Delivery cancelled successfully",
"data": {
"productId": "<string>",
"deliveryId": "<string>",
"provider": "<string>",
"status": "cancelled",
"cancelledAt": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Fuga Delivery
Cancel Product Delivery
/product//deliveries/
DELETE
/
product
/
{id}
/
deliveries
/
{deliveryId}
Cancel Product Delivery
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
/product//deliveries/ Description: Cancel a pending or in-progress delivery. The delivery must be in a cancellable state. Authorization:- Required role:
adminor higher
DELETE
Path Parameters:
| Parameter | Type | Description |
|---|---|---|
| id | string | The unique identifier of the product |
| deliveryId | string | The unique identifier of the delivery |
| Parameter | Type | Description |
|---|---|---|
| reason | string | Optional cancellation reason |
- pending
- retry
- processing
Code Examples
const response = await fetch('https://api.royalti.io/product/example-id/deliveries/example-id', {
method: 'DELETE',
headers: {
'Authorization': `Bearer ${token}`,
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.delete(
'https://api.royalti.io/product/example-id/deliveries/example-id',
headers={
'Authorization': f'Bearer {token}'
},
)
data = response.json()
print(data)
curl -X DELETE https://api.royalti.io/product/example-id/deliveries/example-id \
-H "Authorization: Bearer YOUR_TOKEN" \
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
Optional cancellation reason
⌘I